package jp.sourceforge.projects.ee2e.core.cf;

import jp.sourceforge.projects.ee2e.core.editors.EE2ECompleteMark160;
import jp.sourceforge.projects.ee2e.core.editors.EE2EMenuBehavior;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window>Preferences>Java>Templates.
 * To enable and disable the creation of type comments go to
 * Window>Preferences>Java>Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2ECFXi extends EE2ECFXml  {
    public EE2ECFXi() {
        super();
    }
	/**
	 * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#completeMarkNbsp()
	 */
    public EE2EMenuBehavior completeMarkNbsp() {
        return new EE2ECompleteMark160();
    }
    /**
     * @see jp.sourceforge.projects.ee2e.core.editors.EE2ECF#getFactoryName()
     */
    public String getFactoryName() {
        return "xi";
    }
}
